cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sylvain Wallez <sylvain.wal...@anyware-tech.com>
Subject Re: AW: [C2]: Jdk 1.2 or jdk1.3 ?
Date Fri, 13 Jul 2001 07:21:55 GMT


Donald Ball a écrit :
> 
> On Fri, 13 Jul 2001, Carsten Ziegeler wrote:
> 
> > But our experience showed that if you compile c2 with the jdk 1.3 (which
> > then is required) it does not always work with the jdk 1.2. I don't remember
> > the details.
> 
> really? that's shocking, the class file format didn't change, afaik. hmm.
> 
> - donald
> 
Sometimes the jdk 1.3 compiler produces class files whith a higher
version number than the one accepted by jdk 1.2

See http://marc.theaimsgroup.com/?l=xml-cocoon-dev&m=98984704015324&w=2
for an occurence of this.

Anyway, it would be good for Cocoon core classes to be 1.2 savvy : there
are some sites where 1.3 isn't available because customers are using an
old (is 1 year considered old ?) app server that runs jdk 1.2.2

-- 
Sylvain Wallez
Anyware Technologies - http://www.anyware-tech.com

---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message